Index: data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezLook.looknfeel
===================================================================
--- data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezLook.looknfeel	(revision 11790)
+++ data/branches/cegui0.8_ogre1.9/gui/looknfeels/TaharezLook.looknfeel	(revision 11792)
@@ -434,23 +541,39 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
-                </Area>
-                <Image imageset="TaharezLook" image="TextSelectionBrush" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1.0" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezLook/TextSelectionBrush" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
             </ImageryComponent>
         </ImagerySection>
-        <ImagerySection name="Carat">
-            <ImageryComponent>
-                <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><ImageDim imageset="TaharezLook" image="EditBoxCarat" dimension="Width" /></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
-                </Area>
-                <Image imageset="TaharezLook" image="EditBoxCarat" />
+        <ImagerySection name="Caret">
+            <ImageryComponent>
+                <Area>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <ImageDim dimension="Width" name="TaharezLook/EditBoxCarat" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezLook/EditBoxCarat" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -470,5 +593,5 @@
             <Layer>
                 <Section section="container_normal">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -489,41 +612,47 @@
         </StateImagery>
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        TaharezLook/Titlebar
-    ***************************************************
-    -->
     <WidgetLook name="TaharezLook/Titlebar">
-        <PropertyDefinition name="CaptionColour" initialValue="FFFFFFFF" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFFFFFFF" name="CaptionColour" redrawOnWrite="true" />
         <ImagerySection name="main">
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image imageset="TaharezLook" image="NewTitlebarLeft" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezLook/NewTitlebarLeft" />
                 <VertFormat type="Stretched" />
             </ImageryComponent>
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge" >
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezLook" image="SysAreaRight" dimension="Width">
-                                    <DimOperator op="Add">
-                                        <ImageDim imageset="TaharezLook" image="SysAreaMiddle" dimension="Width" />
-                                    </DimOperator>
-                                </ImageDim>
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image imageset="TaharezLook" image="NewTitlebarRight" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <OperatorDim op="Add">
+                                <ImageDim dimension="Width" name="TaharezLook/SysAreaRight" />
+                                <ImageDim dimension="Width" name="TaharezLook/SysAreaMiddle" />
+                            </OperatorDim>
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezLook/NewTitlebarRight" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="RightAligned" />
@@ -531,16 +660,21 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge" >
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezLook" image="SysAreaRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image imageset="TaharezLook" image="SysAreaMiddle" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <ImageDim dimension="Width" name="TaharezLook/SysAreaRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezLook/SysAreaMiddle" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="RightAligned" />
@@ -548,10 +682,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image imageset="TaharezLook" image="SysAreaRight" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezLook/SysAreaRight" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="RightAligned" />
@@ -559,24 +701,27 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="NewTitlebarLeft" dimension="Width" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge" >
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezLook" image="SysAreaRight" dimension="Width">
-                                    <DimOperator op="Add">
-                                        <ImageDim imageset="TaharezLook" image="SysAreaMiddle" dimension="Width">
-                                            <DimOperator op="Add">
-                                                <ImageDim imageset="TaharezLook" image="NewTitlebarRight" dimension="Width" />
-                                            </DimOperator>
-                                        </ImageDim>
-                                    </DimOperator>
-                                </ImageDim>
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image imageset="TaharezLook" image="NewTitlebarMiddle" />
+                    <Dim type="LeftEdge">
+                        <ImageDim dimension="Width" name="TaharezLook/NewTitlebarLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <OperatorDim op="Add">
+                                <ImageDim dimension="Width" name="TaharezLook/SysAreaRight" />
+                                <OperatorDim op="Add">
+                                    <ImageDim dimension="Width" name="TaharezLook/SysAreaMiddle" />
+                                    <ImageDim dimension="Width" name="TaharezLook/NewTitlebarRight" />
+                                </OperatorDim>
+                            </OperatorDim>
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="TaharezLook/NewTitlebarMiddle" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -586,8 +731,16 @@
             <TextComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="NewTitlebarLeft" dimension="Width" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" offset="-75" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                    <Dim type="LeftEdge">
+                        <ImageDim dimension="Width" name="TaharezLook/NewTitlebarLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim offset="-75" scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
                 </Area>
                 <ColourProperty name="CaptionColour" />
@@ -610,44 +763,40 @@
             <Layer>
                 <Section section="main">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
                 <Section section="caption">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-    <!--
-    ***************************************************
-        TaharezLook/FrameWindow
-    ***************************************************
-    -->
     <WidgetLook name="TaharezLook/FrameWindow">
-        <PropertyDefinition name="ClientAreaColour" initialValue="FF141B38" redrawOnWrite="true" />
-        <PropertyLinkDefinition name="CaptionColour" widget="__auto_titlebar__" targetProperty="CaptionColour" initialValue="FFFFFFFF" />
-        <PropertyLinkDefinition name="TitlebarFont" widget="__auto_titlebar__" targetProperty="Font" />
-        <Property name="NSSizingCursorImage" value="set:TaharezLook image:MouseNoSoCursor" />
-        <Property name="EWSizingCursorImage" value="set:TaharezLook image:MouseEsWeCursor" />
-        <Property name="NWSESizingCursorImage" value="set:TaharezLook image:MouseNwSeCursor" />
-        <Property name="NESWSizingCursorImage" value="set:TaharezLook image:MouseNeSwCursor" />
-        <Property name="UnifiedMinSize" value="{{0.1,0},{0.1,0}}" />
+        <PropertyDefinition initialValue="FF141B38" name="ClientAreaColour" redrawOnWrite="true" />
+        <PropertyLinkDefinition initialValue="FFFFFFFF" name="CaptionColour" targetProperty="CaptionColour" widget="__auto_titlebar__" />
+        <PropertyLinkDefinition name="TitlebarFont" targetProperty="Font" widget="__auto_titlebar__" />
+        <Property name="NSSizingCursorImage" value="TaharezLook/MouseNoSoCursor" />
+        <Property name="EWSizingCursorImage" value="TaharezLook/MouseEsWeCursor" />
+        <Property name="NWSESizingCursorImage" value="TaharezLook/MouseNwSeCursor" />
+        <Property name="NESWSizingCursorImage" value="TaharezLook/MouseNeSwCursor" />
+        <Property name="MinSize" value="{{0.1,0},{0.1,0}}" />
         <NamedArea name="ClientWithTitleWithFrame">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="WindowTopLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><WidgetDim widget="__auto_titlebar__" dimension="BottomEdge" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="WindowTopRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="WindowBottomEdge" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="TaharezLook/WindowTopLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <WidgetDim dimension="BottomEdge" widget="__auto_titlebar__" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="TaharezLook/WindowTopRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="TaharezLook/WindowBottomEdge" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -655,27 +804,37 @@
         <NamedArea name="ClientWithTitleNoFrame">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><WidgetDim widget="__auto_titlebar__" dimension="BottomEdge" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="BottomEdge" ><WidgetDim dimension="BottomEdge" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <WidgetDim dimension="BottomEdge" widget="__auto_titlebar__" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <WidgetDim dimension="BottomEdge" />
+                </Dim>
             </Area>
         </NamedArea>
         <NamedArea name="ClientNoTitleWithFrame">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="WindowTopLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="TaharezLook" image="WindowTopEdge" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="WindowTopRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="WindowBottomEdge" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="TaharezLook/WindowTopLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="TaharezLook/WindowTopEdge" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="TaharezLook/WindowTopRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="TaharezLook/WindowBottomEdge" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -683,85 +842,111 @@
         <NamedArea name="ClientNoTitleNoFrame">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
             </Area>
         </NamedArea>
-        <Child type="TaharezLook/Titlebar" nameSuffix="__auto_titlebar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="Height" ><FontDim type="LineSpacing" padding="8" /></Dim>
+        <Child nameSuffix="__auto_titlebar__" type="TaharezLook/Titlebar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <FontDim padding="8" type="LineSpacing" />
+                </Dim>
             </Area>
             <Property name="AlwaysOnTop" value="False" />
         </Child>
-        <Child type="TaharezLook/SystemButton" nameSuffix="__auto_closebutton__">
-            <Area>
-                <Dim type="LeftEdge" >
-                    <UnifiedDim scale="1" type="LeftEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="TaharezLook" image="SysAreaRight" dimension="Width">
-                                <DimOperator op="Add">
-                                    <ImageDim imageset="TaharezLook" image="SysAreaMiddle" dimension="Width" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="TopEdge" >
-                    <AbsoluteDim value="0.5">
-                        <DimOperator op="Multiply">
-                            <WidgetDim widget="__auto_titlebar__" dimension="Height">
-                                <DimOperator op="Subtract">
-                                    <ImageDim imageset="TaharezLook" image="NewCloseButtonNormal" dimension="Width" />
-                                </DimOperator>
-                            </WidgetDim>
-                        </DimOperator>
-                    </AbsoluteDim>
-                </Dim>
-                <Dim type="Width" ><ImageDim imageset="TaharezLook" image="NewCloseButtonNormal" dimension="Width" /></Dim>
-                <Dim type="Height" ><ImageDim imageset="TaharezLook" image="NewCloseButtonNormal" dimension="Width" /></Dim>
+        <Child nameSuffix="__auto_closebutton__" type="TaharezLook/SystemButton">
+            <Area>
+                <Dim type="LeftEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="LeftEdge" />
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Width" name="TaharezLook/SysAreaRight" />
+                            <ImageDim dimension="Width" name="TaharezLook/SysAreaMiddle" />
+                        </OperatorDim>
+                    </OperatorDim>
+                </Dim>
+                <Dim type="TopEdge">
+                    <OperatorDim op="Multiply">
+                        <AbsoluteDim value="0.5" />
+                        <OperatorDim op="Subtract">
+                            <WidgetDim dimension="Height" widget="__auto_titlebar__" />
+                            <ImageDim dimension="Width" name="TaharezLook/NewCloseButtonNormal" />
+                        </OperatorDim>
+                    </OperatorDim>
+                </Dim>
+                <Dim type="Width">
+                    <ImageDim dimension="Width" name="TaharezLook/NewCloseButtonNormal" />
+                </Dim>
+                <Dim type="Height">
+                    <ImageDim dimension="Width" name="TaharezLook/NewCloseButtonNormal" />
+                </Dim>
             </Area>
             <Property name="AlwaysOnTop" value="True" />
-            <Property name="NormalImage" value="set:TaharezLook image:NewCloseButtonNormal" />
-            <Property name="HoverImage" value="set:TaharezLook image:NewCloseButtonHover" />
-            <Property name="PushedImage" value="set:TaharezLook image:NewCloseButtonPressed" />
+            <Property name="NormalImage" value="TaharezLook/NewCloseButtonNormal" />
+            <Property name="HoverImage" value="TaharezLook/NewCloseButtonHover" />
+            <Property name="PushedImage" value="TaharezLook/NewCloseButtonPressed" />
         </Child>
         <ImagerySection name="withtitle_frame">
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><WidgetDim widget="__auto_titlebar__" dimension="BottomEdge" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1" type="BottomEdge" /></Dim>
-                </Area>
-                <Image type="BottomLeftCorner" imageset="TaharezLook" image="WindowBottomLeft" />
-                <Image type="BottomRightCorner" imageset="TaharezLook" image="WindowBottomRight" />
-                <Image type="LeftEdge" imageset="TaharezLook" image="WindowLeftEdge" />
-                <Image type="RightEdge" imageset="TaharezLook" image="WindowRightEdge" />
-                <Image type="BottomEdge" imageset="TaharezLook" image="WindowBottomEdge" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <WidgetDim dimension="BottomEdge" widget="__auto_titlebar__" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image component="BottomLeftCorner" name="TaharezLook/WindowBottomLeft" />
+                <Image component="BottomRightCorner" name="TaharezLook/WindowBottomRight" />
+                <Image component="LeftEdge" name="TaharezLook/WindowLeftEdge" />
+                <Image component="RightEdge" name="TaharezLook/WindowRightEdge" />
+                <Image component="BottomEdge" name="TaharezLook/WindowBottomEdge" />
             </FrameComponent>
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><ImageDim imageset="TaharezLook" image="WindowTopLeft" dimension="Width" /></Dim>
-                    <Dim type="TopEdge" ><WidgetDim widget="__auto_titlebar__" dimension="BottomEdge" /></Dim>
-                    <Dim type="RightEdge" >
-                        <UnifiedDim scale="1" type="Width">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezLook" image="WindowTopRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge" >
-                        <UnifiedDim scale="1" type="Height">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="TaharezLook" image="WindowBottomEdge" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="TaharezLook" image="GenericBrush" />
+                    <Dim type="LeftEdge">
+                        <ImageDim dimension="Width" name="TaharezLook/WindowTopLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <WidgetDim dimension="BottomEdge" widget="__auto_titlebar__" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="Width" />
+                            <ImageDim dimension="Width" name="TaharezLook/WindowTopRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="Height" />
+                            <ImageDim dimension="Height" name="TaharezLook/WindowBottomEdge" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="TaharezLook/GenericBrush" />
                 <ColourProperty name="ClientAreaColour" />
                 <VertFormat type="Stretched" />
